Skip to content

Reads one model download: its state and Ollama's progress.

GET
/v1/m/agenttools/ollama/pulls/{id}
curl --request GET \
--url https://example.com/v1/m/agenttools/ollama/pulls/example \
--header 'Authorization: Bearer <token>'

Reads one model download: its state and Ollama’s progress.

id
required
string

Path parameter id.

A model download with Ollama’s own progress

Media type application/json
object
completed
required
integer format: int64
error
string
id
required
string format: uuid
model
required
string
state
required
string
Allowed values: running succeeded failed
status
string
total
required
integer format: int64
Example
{
"state": "running"
}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden / step-up required

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict

Media type application/json
object
Example generated
{}

Required evidence or store unavailable

Media type application/json
object
Example generated
{}